import { InjectionToken, ModuleWithProviders } from '@angular/core';
export interface LibConfig {
    ionicMock?: {
        appVersion?: {
            appName?: string;
            packageName?: string;
            versionCode?: string | number;
            versionNumber?: string;
        };
        device?: {
            cordova?: string;
            model?: string;
            platform?: string;
            uuid?: string;
            version?: string;
            manufacturer?: string;
            isVirtual?: boolean;
            serial?: string;
        };
        diagnostic?: {
            isCameraPresent?: any;
            isCameraAuthorized?: any;
            isLocationEnabled?: boolean;
            isLocationAvailable?: any;
            isLocationAuthorized?: any;
            requestCameraAuthorization?: any;
            requestLocationAuthorization?: any;
        };
    };
}
export declare const LibConfigService: InjectionToken<LibConfig>;
export declare class IonicAngularUtilitiesModule {
    static forRoot(config?: LibConfig): ModuleWithProviders<IonicAngularUtilitiesModule>;
}
